import javax.swing.*;
public class wetairtest2
{
public static void main(String arg[])
{
wetair wa=new wetair();
double m=1.0;//  kg/s
double p=1.01325;//  bar
double t1=8.0;//  degree C
double rh1=0.5;
double a[]=wa.property("tdb_rh",t1,rh1,p);
double h1=a[8];
double w1=a[5];
double w2=w1;
double t2=32.0;//   degree C
a=wa.property("tdb_w",t2,w2,p);
double h2=a[8];
double rh2=a[6];
double Q=m*(h2-h1);
String s="m="+m+" kg/s\n";
s+="T1="+t1+" degree C h1="+h1+" kJ/kg  "+'\u00D8'+"1 ="+rh1*100+"%\n";
s+="T2="+t2+" degree C h2="+h2+" kJ/kg  "+'\u00D8'+"2 ="+rh2*100+"%\n";
s+="Q = "+Q+" kW";
JOptionPane.showMessageDialog(null,s);
}
}